Bug 1470496 - [RFE] port bkr group-create command to use new JSON group API
Summary: [RFE] port bkr group-create command to use new JSON group API
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
(Show other bugs)
Version: 24
Hardware: Unspecified Unspecified
unspecified
unspecified vote
Target Milestone: 25.0
Assignee: Anwesha Chatterjee
QA Contact: Matt Tyson
URL:
Whiteboard:
Keywords: FutureFeature, Patch, Triaged
Depends On:
Blocks: 1470933
TreeView+ depends on / blocked
 
Reported: 2017-07-13 04:31 UTC by Dan Callaghan
Modified: 2018-03-19 04:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1470933 (view as bug list)
Environment:
Last Closed: 2018-03-19 04:18:09 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Callaghan 2017-07-13 04:31:24 UTC
Currently the bkr group-create command is using the XMLRPC groups.create method. It would be nice to port it to use the newer JSON APIs for groups, for better error reporting and for consistency with the web UI which is already using those APIs.

Comment 1 Anwesha Chatterjee 2017-07-13 06:34:09 UTC
https://gerrit.beaker-project.org/#/c/5738/

Comment 3 Matt Tyson 2018-02-09 01:20:36 UTC
Verified by inserting logging code into both the XMLRPC and JSON handlers to watch what codepath was hit.  Confirmed that the JSON codepath was called.

Comment 4 Roman Joost 2018-03-19 04:18:09 UTC
Beaker 25.0 has been released.

Release notes are available upstream: https://beaker-project.org/docs/whats-new/release-25.html


Note You need to log in before you can comment on or make changes to this bug.